package hikapro.com.backpack.presenter.adapters;

import android.graphics.Bitmap;
import android.support.v7.widget.RecyclerView;
import android.view.LayoutInflater;
import android.view.ViewGroup;

import hikapro.com.backpack.R;
import hikapro.com.backpack.model.Model;
import hikapro.com.backpack.presenter.Presenter;
import hikapro.com.backpack.view.recycler.DetailViewHolder;

/**
 * Created by tariel on 23/04/16.
 */
public class ItemDetailAdapter extends RecyclerView.Adapter<DetailViewHolder> {

    private Presenter.ItemDetail presenter;

    public ItemDetailAdapter(Presenter.ItemDetail presenter) {
        this.presenter = presenter;
    }

    @Override
    public int getItemCount() {
        return presenter.getModel().getCount();
    }

    @Override
    public void onBindViewHolder(DetailViewHolder holder, int position) {
        hikapro.com.backpack.model.entities.Item item = presenter.getModel().findItem(position);
        holder.title.setText(item.getName());
        holder.description.setText(item.getDescription());
        Bitmap bitmap = presenter.getModel().getPicture();
        if (bitmap != null)
            holder.photo.setImageBitmap(bitmap);
        holder.title.setOnClickListener(new android.view.View.OnClickListener() {
            @Override
            public void onClick(android.view.View view) {
                presenter.showMessage("On detail click");
            }
        });
    }

    @Override
    public DetailViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
        DetailViewHolder viewHolder;
        android.view.View v = LayoutInflater.from(parent.getContext()).inflate(R.layout.item_detail,
                parent, false);
        viewHolder = new DetailViewHolder(v);
        return viewHolder;
    }


}
